{% extends 'site_base.html' %}
{% load static %}
{% load crispy_forms_tags %}
{% load humanize %}

{% block extra_style_block %}
    {{block.super}}

    <style>
        span#btn-back{
            float: left;
            top: 7px;
            margin-right: 1%;
        }
        .txt-search {
            width: auto;
            display: initial !important;
        }
        .btn-search {
            display: initial !important;
            padding: 6.2px 12px;
            margin: 0 2px 0 -4px;
            background: #3d8dbc;
            border: 1px solid #09649a;
        }
        .fa-search {
            color: #fff;
        }
        .bgc {
            background: rgba(0,0,0,.075);
        }
        .sku {
            cursor: pointer;
        }
        .even {background: rgba(0,0,0,.075);}
        .odd {background: rgba(0,0,0,.075);}
    </style>

    <style>
        *{
          margin: 0;
          padding: 0;
          box-sizing: border-box;
          font-family: 'Source Sans Pro', sans-serif;
        }
        .col-order-detail{
          padding: 5px 0;
          overflow: auto;
        }
        .col-order-detail h1{
          font-size: 35px;
          text-transform: uppercase;
          font-weight: 600;
          line-height: 1.2;
          margin: 0 0 0px 0;
          letter-spacing: 1px;
          float: left;
        }
        .col-pdf{
            float: right;
            padding: 10px 0;
        }
        .col-pdf button.pdf{
          line-height: 1.45;
          background-color: #ffc107a1;
          border-color: #ff9800e0;

        }
        .col-pdf button.pdf:hover{
            background-color: #f3ce5d;
            border-color: #c97803;
        }
        .col-pdf button.csv{
            line-height: 1.45;
            background-color: #5eb7ea;
            border-color: #3d8dbc;

        }
        .col-pdf button.csv:hover{
            background-color: #50afe6;
            border-color: #075380;
        }
        .col-pdf button a:hover{
            text-decoration: none;
        }

        .col-main-detail{
          padding: 15px;
          /* background: #fff;
          box-shadow: 1px 1px 5px #c3a444b5; */
          background: #fff;
        box-shadow: 0px 0px 5px #929090b5;
        }
        .col-order-user{
          overflow: auto;
          margin-bottom: 0px;
        }
        .col-user-image{
          float: left;
        }
        .col-user-image img{
          width: 100px;
          height: 100px;
          border: 4px solid #c97904;
          border-radius: 4px;
        }
        .col-cust-add{
          float: left;
          padding-left: 15px;
          float: left;
          padding-left: 15px;
          font-size: 16px;
          font-weight: 600;
          color: #333;
          line-height: 1.45;
        }
        .col-cust-add h2{
          text-transform: capitalize;
          font-size: 24px;
          margin: 0 0 0px 0;
          font-weight: 600;
          line-height: 1.2;
        }
        .col-cust-add.col-business-add{
          padding: 15px 15px;
          word-spacing: 0px;
          background: #dddddd82;
          box-shadow: 0px 0px 5px #f5e1e1;
          float: right;
          border-radius: 4px;
        }
        .col-cust-add.col-business-add span{
          padding: 5px;
          display: inline-block;
          background-color: #f39c12;
          border-color: #e08e0b;
          border-radius: 4px;
          margin-bottom: 5px;
          color:#fff;
        }
        .col-main-detail h3{
            margin: 0 0 5px 0;
            line-height: 1.45;
            font-size: 21px;
            font-weight: 600;
            text-transform: capitalize;
            text-decoration: underline;
            letter-spacing: 1px;
        }
        .col-order-status{
            background: #f4f4f4;
            min-height: 100;
            height: 273px;
        }
        .btn-export {
            float: right;
            background-color: #424242;
            border: 0;
            border-radius: 4px;
            display: inline-block !important;
        }
        .btn-export:hover {
            background-color: #313131;
        }
    </style>
{% endblock %}

{% block content %}

    <form class="from-horizontal" method="get">
        <div class="col-order-detail" style="overflow: -webkit-paged-x;">
            <span id="btn-back" class="glyphicon glyphicon-circle-arrow-left"></span>
            <h1 style="font-size: 28px;">
                {% if ledger_type == 'Unadjusted' %}
                Dealer Ledger
                {% else %}
                {{ledger_type}} Ledger
                {% endif %}
                ({{dealer.dp.company_name|default:"--"}})</h1>
            <button type="submit" name="export" class="export btn-export">Export</button>
        </div>
        <section class="content-header col-content">
            <div class="row">
                <div class="col-xs-12 col-sm-12 col-md-12">
                    <div class="col-order-user">
                        <div class="col-user-image">
                            <img src="{% static 'img/default_user.jpg' %}">
                        </div>
                        <address class="col-cust-add">
                            <h2><a style="color:black" href="{% url 'dealer_profile' dealer.dp.dealer_id %}">
                                {{dealer.dp.owner_name|default:"---"}}</a>
                            </h2>
                            {{dealer.dp.company_address|default:"--"}}</br>
                            Email: {{dealer.dp.email|default:"--"}}</br>
                            Mobile: {{dealer.dp.primary_contact|default:"--"}}
                        </address>
                        <address class="col-cust-add col-business-add">
                            <span>Credit days: {{dealer.dbm.credit_days|default:"0"}}</span>
                            <span style=" background-color: #00c0ef;border-color: #00acd6;">
                                Credit Limit: ₹ {{dealer.dbm.max_outstanding_threshold|floatformat:2|intcomma}}
                            </span>
                            <span style="background-color: #dd4b39;border-color: #d73925;">
                                Min order: ₹ {{dealer.dbm.min_order_amount|floatformat:2|intcomma}}
                            </span></br>
                            <!--<span style=" background-color: #00c0ef;border-color: #00acd6;">-->
                                <!--Outstanding: ₹ {{dealer.outstanding|floatformat:2|intcomma|default:"0"}}-->
                            <!--</span>-->
                            <span style="background-color: #00a65a;border-color: #008d4c;">
                                Ledger Balance: ₹ {{dealer.amount|floatformat:2|intcomma}}
                            </span>
                        </address>
                    </div>
                </div>
            </div>
            <div class="row">
                <div class="col-xs-8 col-sm-8 col-md-8 col-customer pull-right" style="text-align:right;">
                    From: <input class="form-control txt-search" value="{{from_date}}"
                                   type="date" placeholder="Search..." name="from_date">
                    To: <input class="form-control txt-search" value="{{to_date}}"
                           type="date" placeholder="Search..." name="to_date">
                    <button class="btn-search" type="submit">
                        <i class="fa fa-search"></i>
                    </button>
                </div>
            </div>
        </section>

        <section>
            <table class="table table table-bordered alternate_color">
                <thead>
                    <tr>
                        <th>Transaction Date</th>
                        {% if pay_flag == 'Bank' %}
                        <th>Payment Date</th>
                        {% endif %}
                        <th>Narration</th>
                        <th style="text-align: right;">DR</th>
                        <th style="text-align: right;">CR</th>
                        <th style="text-align: right;">Balance</th>
                        <!--<th>Payment Date</th>-->
                    </tr>
                </thead>
                <tbody id="dataTable">
                {% if ledgers|length > 0 %}
                    {% for ledger in ledgers %}
                    <tr>
                        <td>{{ledger.created_on|date}}</td>
                         {% if pay_flag == 'Bank' %}
                        <td>{{ledger.payment_date|date}}</td>
                         {% endif %}
                        <td>
                            {% if ledger.order_number %}
                                <a href="/user/stock-order-detail/{{ledger.order_number}}" target="_blank">
                                    Against Order # {{ledger.order_number}},
                                    DMS # {{ledger.dms}},
                                    {{ledger.remarks|default:"---"}}
                                </a>
                            {% else %}
                                {{ledger.remarks|default:"---"}}
                            {% endif %}
                        </td>
                        <td style="text-align: right;">
                            {% if ledger.dr_amount %}
                                ₹ {{ledger.dr_amount|floatformat:2|intcomma}}
                            {% else %}
                                {{ledger.dr_amount|default:"---"}}
                            {% endif %}
                        </td>
                        <td style="text-align: right;">
                            {% if ledger.cr_amount %}
                                ₹ {{ledger.cr_amount|floatformat:2|intcomma}}
                            {% else %}
                                {{ledger.cr_amount|default:"---"}}
                            {% endif %}
                        </td>
                        <td style="text-align: right;">₹ {{ledger.balance|floatformat:2|intcomma}}</td>
                        <!--<td>{{ledger.payment_date|date|default:"-&#45;&#45;"}}</td>-->
                    </tr>
                    {% endfor %}
                {% else %}
                    <tr>
                        <td colspan="5" style="text-align:center;">Data not available</td>
                    </tr>
                {% endif %}
                </tbody>
            </table>

            <div class="row" style="margin: 0;">
                {% if ledgers.has_other_pages %}
                    <ul class="pagination col-pagination pg-blue pull-right">
                        {% if ledgers.has_previous %}
                            <li class="page-item">
                                <a class="page-number" href="?page={{ ledgers.previous_page_number }}"
                                   aria-label="Previous">&laquo;</a>
                            </li>
                        {% else %}
                            <li class="page-item disabled">
                                <a class="page-link" href=""><span>&laquo;</span></a>
                            </li>
                        {% endif %}

                        {% for i in ledgers.paginator.page_range %}
                            {% if ledgers.number == i %}
                                <li class="page-item active">
                                    <a class="page-link" href="#">{{ i }}</a>
                                </li>
                            {% else %}
                                <li class="page-item">
                                    <a class="page-link" href="?page={{ i }}">{{ i }}</a>
                                </li>
                            {% endif %}
                        {% endfor %}

                        {% if ledgers.has_next %}
                            <li class="page-item">
                                <a class="page-number" href="?page={{ ledgers.next_page_number }}">&raquo;</a>
                            </li>
                        {% endif %}
                    </ul>
                {% endif %}
            </div>
        </section>
    </form>
{% endblock %}

{% block extra_script_block %}
    {{ block.super }}

    <script type="text/javascript">
        $(document).ready(function() {
            $('.content-header').first().remove();
        });
    </script>
{% endblock %}
